--  Copyright (2008-2013) Cédric Coussinet (cedric.coussinet@nomoseed.net)
--
--  This program is free software: you can redistribute it and/or modify
--  it under the terms of the GNU Affero General Public License as published
--  by the Free Software Foundation, either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
--  GNU Affero General Public License for more details.

--  You should have received a copy of the GNU Affero General Public License
--  along with this program. If not, see <http://www.gnu.org/licenses/>

with Nomo.Interpreter.Premises_Index.Arrays.Rewarding;

package body Nomo.Interpreter.Conditions_Base.Rewarding is

   function Get_Landmark (This  : in Reward_Condition;
                          Index : in Premise_Index) return Positive_Time_Interval is
     use Premises_Index.Arrays.Rewarding;
   begin
      return Get_Landmark (Condition_Base (This).Premises, Index);
   end Get_Landmark;

end Nomo.Interpreter.Conditions_Base.Rewarding;
